Subject: Re: [PATCH] powerpc, perf: Configure BHRB filter before enabling PMU interrupts

From: Michael Ellerman <[email-masked]>
Date: Mon, 14 Oct 2013 17:19:58 +1100

On Fri, Oct 11, 2013 at 10:02:28AM +0530, Anshuman Khandual wrote:
> On 10/11/2013 07:41 AM, Michael Ellerman wrote:
> > On Thu, Oct 10, 2013 at 02:20:22PM +0530, Anshuman Khandual wrote:
> > 
> >> Even I think this is not right. Instruction sampling should have been
> >> enabled before we enable PMU interrupts. Else there is a small window
> >> of time where we could have the PMU enabled with events (which requires
> >> sampling) without the sampling itself being enabled in MMCRA.
> > 
> > Yes I agree. That's a separate bug, which we'll need to test on all the book3s
> > platforms we have perf support for.
> 
> Okay, I guess any platform which supports sampling will definitely want to have
> it enabled before we can set the events to count on PMU. Can you think of any
> problem which can arise if we move it before the enabling the PMU back ? Else
> we can fix this easily.

In theory it should be a trivial change. But hardware can behave in
strange ways, it's possible on some old chip we need to do it the
current way for some reason.

So although I don't think it will be a problem, it could be, so we
will need to test it thoroughly.

cheers